/[gentoo-x86]/media-video/vlc/vlc-9999.ebuild
Gentoo

Contents of /media-video/vlc/vlc-9999.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.59 - (hide annotations) (download)
Sat Jan 23 14:19:44 2010 UTC (7 years, 6 months ago) by aballier
Branch: MAIN
Changes since 1.58: +4 -10 lines
Match upstream simplifications wrt cdio/vcdinfo/vcdx useflags
(Portage version: 2.2_rc61/cvs/Linux x86_64)

1 aballier 1.52 # Copyright 1999-2010 Gentoo Foundation
2 aballier 1.1 # Distributed under the terms of the GNU General Public License v2
3 aballier 1.59 # $Header: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-9999.ebuild,v 1.58 2010/01/23 10:57:18 aballier Exp $
4 aballier 1.1
5 aballier 1.22 EAPI="2"
6 aballier 1.1
7     SCM=""
8     if [ "${PV%9999}" != "${PV}" ] ; then
9     SCM=git
10     EGIT_BOOTSTRAP="bootstrap"
11 aballier 1.52 EGIT_BRANCH=master
12     EGIT_PROJECT=${P}
13 aballier 1.1 if [ "${PV%.9999}" != "${PV}" ] ; then
14 aballier 1.52 EGIT_REPO_URI="git://git.videolan.org/vlc/vlc-${PV%.9999}.git"
15 aballier 1.1 else
16 aballier 1.52 EGIT_REPO_URI="git://git.videolan.org/vlc.git"
17 aballier 1.1 fi
18     fi
19    
20     inherit eutils multilib autotools toolchain-funcs gnome2 nsplugins qt4 flag-o-matic ${SCM}
21    
22     MY_PV="${PV/_/-}"
23     MY_PV="${MY_PV/-beta/-test}"
24     MY_P="${PN}-${MY_PV}"
25     VLC_SNAPSHOT_TIME="0013"
26    
27 aballier 1.55 PATCHLEVEL="80"
28 aballier 1.1 DESCRIPTION="VLC media player - Video player and streamer"
29     HOMEPAGE="http://www.videolan.org/vlc/"
30     if [ "${PV%9999}" != "${PV}" ] ; then # Live ebuild
31     SRC_URI=""
32     elif [[ "${P}" == *_alpha* ]]; then # Snapshots taken from nightlies.videolan.org
33     SRC_URI="http://nightlies.videolan.org/build/source/trunk-${PV/*_alpha/}-${VLC_SNAPSHOT_TIME}/${PN}-snapshot-${PV/*_alpha/}.tar.bz2"
34     MY_P="${P/_alpha*/}-git"
35     elif [[ "${MY_P}" == "${P}" ]]; then
36     SRC_URI="http://download.videolan.org/pub/videolan/${PN}/${PV}/${P}.tar.bz2"
37     else
38     SRC_URI="http://download.videolan.org/pub/videolan/testing/${MY_P}/${MY_P}.tar.bz2"
39     fi
40    
41     SRC_URI="${SRC_URI}
42 aballier 1.47 mirror://gentoo/${PN}-patches-${PATCHLEVEL}.tar.bz2"
43 aballier 1.1
44     LICENSE="GPL-2"
45     SLOT="0"
46    
47     KEYWORDS=""
48 aballier 1.59 IUSE="a52 aac aalib alsa altivec atmo avahi bidi cdda cddb dbus dc1394
49 aballier 1.36 debug dirac directfb dts dvb dvd elibc_glibc fbcon fluidsynth +ffmpeg flac fontconfig
50 aballier 1.46 +gcrypt ggi gnome gnutls httpd id3tag ieee1394 jack kate libass libcaca
51 aballier 1.48 libnotify libproxy libsysfs libtiger libv4l libv4l2 lirc live lua matroska mmx
52 aballier 1.18 modplug mp3 mpeg mtp musepack ncurses nsplugin ogg opengl optimisememory oss
53 aballier 1.38 png projectm pulseaudio pvr +qt4 remoteosd rtsp run-as-root samba
54 aballier 1.55 schroedinger sdl sdl-image shine shout skins speex sqlite sse stream
55 aballier 1.59 svg svga taglib theora truetype twolame udev upnp v4l v4l2 vcdx vlm
56 aballier 1.51 vorbis win32codecs wma-fixed x264 +xcb xml xosd xv zvbi"
57 aballier 1.1
58     RDEPEND="
59 aballier 1.24 !!<=media-video/vlc-1.0.99999
60 aballier 1.1 sys-libs/zlib
61 aballier 1.20 >=media-libs/libdvbpsi-0.1.6
62 aballier 1.1 a52? ( >=media-libs/a52dec-0.7.4-r3 )
63     aalib? ( media-libs/aalib )
64     aac? ( >=media-libs/faad2-2.6.1 )
65     alsa? ( media-libs/alsa-lib )
66     avahi? ( >=net-dns/avahi-0.6 )
67     bidi? ( >=dev-libs/fribidi-0.10.4 )
68     cdda? ( cddb? ( >=media-libs/libcddb-1.2.0 ) )
69     dbus? ( >=sys-apps/dbus-1.0.2 )
70 aballier 1.18 dc1394? ( >=sys-libs/libraw1394-2.0.1
71     >=media-libs/libdc1394-2.0.2 )
72 aballier 1.1 dirac? ( >=media-video/dirac-0.10.0 )
73 aballier 1.37 directfb? ( dev-libs/DirectFB sys-libs/zlib )
74 aballier 1.1 dts? ( media-libs/libdca )
75     dvd? ( media-libs/libdvdread
76     >=media-libs/libdvdnav-0.1.9
77     media-libs/libdvdplay )
78 aballier 1.36 elibc_glibc? ( >=sys-libs/glibc-2.8 )
79 aballier 1.1 ffmpeg? ( >=media-video/ffmpeg-0.4.9_p20090201 )
80     flac? ( media-libs/libogg
81     >=media-libs/flac-1.1.2 )
82     fluidsynth? ( media-sound/fluidsynth )
83     fontconfig? ( media-libs/fontconfig )
84 pva 1.16 gcrypt? ( >=dev-libs/libgcrypt-1.2.0 )
85 aballier 1.1 ggi? ( media-libs/libggi )
86     gnome? ( gnome-base/gnome-vfs )
87 aballier 1.8 gnutls? ( >=net-libs/gnutls-1.7.4 )
88 aballier 1.37 id3tag? ( media-libs/libid3tag sys-libs/zlib )
89 aballier 1.18 ieee1394? ( >=sys-libs/libraw1394-2.0.1 >=sys-libs/libavc1394-0.5.3 )
90 aballier 1.1 jack? ( >=media-sound/jack-audio-connection-kit-0.99.0-r1 )
91     kate? ( >=media-libs/libkate-0.1.1 )
92 aballier 1.31 libass? ( >=media-libs/libass-0.9.6 media-libs/fontconfig )
93 aballier 1.54 libcaca? ( >=media-libs/libcaca-0.99_beta14 )
94 aballier 1.1 libnotify? ( x11-libs/libnotify )
95 aballier 1.13 libproxy? ( net-libs/libproxy )
96 aballier 1.1 libsysfs? ( sys-fs/sysfsutils )
97 aballier 1.17 libtiger? ( media-libs/libtiger )
98 aballier 1.1 lirc? ( app-misc/lirc )
99     live? ( >=media-plugins/live-2008.07.06 )
100     lua? ( >=dev-lang/lua-5.1 )
101     matroska? (
102     >=dev-libs/libebml-0.7.6
103     >=media-libs/libmatroska-0.8.0 )
104 aballier 1.54 modplug? ( >=media-libs/libmodplug-0.8 )
105 aballier 1.1 mp3? ( media-libs/libmad )
106     mpeg? ( >=media-libs/libmpeg2-0.3.2 )
107     mtp? ( >=media-libs/libmtp-0.3.0 )
108 ssuominen 1.44 musepack? ( >=media-sound/musepack-tools-444 )
109 aballier 1.1 ncurses? ( sys-libs/ncurses )
110 aballier 1.58 nsplugin? ( >=net-libs/xulrunner-1.8 x11-libs/libXpm x11-libs/libXt <net-libs/xulrunner-1.9.2 )
111 aballier 1.1 ogg? ( media-libs/libogg )
112 aballier 1.51 opengl? ( virtual/opengl )
113 aballier 1.37 png? ( media-libs/libpng sys-libs/zlib )
114 aballier 1.21 projectm? ( media-libs/libprojectm )
115 aballier 1.9 pulseaudio? ( >=media-sound/pulseaudio-0.9.11 )
116 aballier 1.35 qt4? ( x11-libs/qt-gui:4 x11-libs/qt-core:4 x11-libs/libX11 )
117 aballier 1.1 remoteosd? ( >=dev-libs/libgcrypt-1.2.0 )
118 patrick 1.42 samba? ( || ( >=net-fs/samba-libs-3.4[smbclient]
119     <net-fs/samba-3.4 ) )
120 aballier 1.12 schroedinger? ( >=media-libs/schroedinger-1.0.6 )
121 aballier 1.1 sdl? ( >=media-libs/libsdl-1.2.8
122 aballier 1.37 sdl-image? ( media-libs/sdl-image sys-libs/zlib ) )
123 aballier 1.1 shout? ( media-libs/libshout )
124 aballier 1.35 skins? ( x11-libs/qt-gui:4 x11-libs/qt-core:4 x11-libs/libXext x11-libs/libX11 )
125 aballier 1.1 speex? ( media-libs/speex )
126 aballier 1.54 sqlite? ( >=dev-db/sqlite-3.6.0:3 )
127 aballier 1.1 svg? ( >=gnome-base/librsvg-2.9.0 )
128     svga? ( media-libs/svgalib )
129 aballier 1.37 taglib? ( >=media-libs/taglib-1.5 sys-libs/zlib )
130 aballier 1.6 theora? ( >=media-libs/libtheora-1.0_beta3 )
131 aballier 1.1 truetype? ( media-libs/freetype
132 aballier 1.25 media-fonts/dejavu )
133 aballier 1.1 twolame? ( media-sound/twolame )
134 aballier 1.45 udev? ( >=sys-fs/udev-142 )
135 aballier 1.1 upnp? ( net-libs/libupnp )
136     v4l2? ( libv4l2? ( media-libs/libv4l ) )
137 aballier 1.48 v4l? ( libv4l? ( media-libs/libv4l ) )
138 aballier 1.59 vcdx? ( >=dev-libs/libcdio-0.78.2 >=media-video/vcdimager-0.7.22 )
139 aballier 1.1 vorbis? ( media-libs/libvorbis )
140     win32codecs? ( media-libs/win32codecs )
141 aballier 1.40 x264? ( >=media-libs/x264-0.0.20090923 )
142 aballier 1.2 xcb? ( x11-libs/libxcb x11-libs/xcb-util )
143 aballier 1.1 xml? ( dev-libs/libxml2 )
144     xosd? ( x11-libs/xosd )
145     zvbi? ( >=media-libs/zvbi-0.2.25 )
146     "
147    
148     DEPEND="${RDEPEND}
149     dvb? ( sys-kernel/linux-headers )
150     v4l? ( sys-kernel/linux-headers )
151 aballier 1.28 v4l2? ( >=sys-kernel/linux-headers-2.6.25 )
152 aballier 1.2 xcb? ( x11-proto/xproto )
153 aballier 1.1 dev-util/pkgconfig"
154    
155     S="${WORKDIR}/${MY_P}"
156    
157 aballier 1.5 # Displays a warning if the first use flag is set but the second is not
158 aballier 1.1 vlc_use_needs() {
159     use $1 && use !$2 && ewarn "USE=$1 requires $2, $1 will be disabled."
160     }
161    
162     # Notify the user that some useflag have been forced on
163     vlc_use_force() {
164     use $1 && use !$2 && ewarn "USE=$1 requires $2, $2 will be enabled."
165     }
166    
167     # Use when $2 depends strictly on $3
168     # if use $1 then enable $2 and $3, otherwise disable $2
169     vlc_use_enable_force() {
170     if use $1 ; then
171     echo "--enable-$2 --enable-$3"
172     else
173     echo "--disable-$2"
174     fi
175     }
176    
177     pkg_setup() {
178 aballier 1.23 if has_version '<=media-video/vlc-1.0.99999'; then
179     eerror "Please unmerge vlc-1.0.x first before installing ${P}"
180 aballier 1.11 eerror "If you don't do that, some plugins will get linked against"
181     eerror "the old ${PN} version and will not work."
182 aballier 1.23 die "Unmerge vlc 1.0.x first"
183 aballier 1.11 fi
184 aballier 1.1 vlc_use_needs skins truetype
185     vlc_use_force skins qt4
186     vlc_use_needs bidi truetype
187 pva 1.14 vlc_use_force remoteosd gcrypt
188 aballier 1.1 vlc_use_needs fontconfig truetype
189     vlc_use_needs libv4l2 v4l2
190 aballier 1.48 vlc_use_needs libv4l v4l
191 aballier 1.17 vlc_use_needs libtiger kate
192 aballier 1.39 vlc_use_needs xv xcb
193 aballier 1.53 vlc_use_needs cddb cdda
194 aballier 1.5 if use qt4 || use skins ; then
195     qt4_pkg_setup
196 aballier 1.1 else
197     ewarn "You have disabled the qt4 useflag, ${PN} will not have any"
198     ewarn "graphical interface. Maybe that is not what you want..."
199     fi
200     }
201    
202     src_unpack() {
203     unpack ${A}
204     if [ "${PV%9999}" != "${PV}" ] ; then
205     git_src_unpack
206     fi
207 aballier 1.22 }
208 aballier 1.1
209 aballier 1.22 src_prepare() {
210     if [ "${PV%9999}" != "${PV}" ] ; then
211     git_src_prepare
212     fi
213 aballier 1.1 # Make it build with libtool 1.5
214     rm -f m4/lt* m4/libtool.m4
215    
216     EPATCH_SUFFIX="patch" epatch "${WORKDIR}/patches"
217 aballier 1.47 eautoreconf
218 aballier 1.1 }
219    
220 aballier 1.22 src_configure() {
221 aballier 1.1
222     # It would fail if -fforce-addr is used due to too few registers...
223     use x86 && filter-flags -fforce-addr
224    
225     local MOZILLA_PC
226    
227     if use nsplugin; then
228 aballier 1.55 if has_version 'net-libs/xulrunner:1.9' ; then
229     MOZILLA_PC=libxul
230 aballier 1.1 else
231 aballier 1.55 MOZILLA_PC=xulrunner-plugin
232 aballier 1.1 fi
233     fi
234    
235     econf \
236     $(use_enable a52) \
237     $(use_enable aalib aa) \
238     $(use_enable aac faad) \
239     $(use_enable alsa) \
240     $(use_enable altivec) \
241     --disable-asademux \
242     $(use_enable atmo) \
243     $(use_enable avahi bonjour) \
244     $(use_enable bidi fribidi) \
245     $(use_enable cdda vcd) \
246     $(use_enable cddb libcddb) \
247     $(use_enable dbus) $(use_enable dbus dbus-control) \
248     $(use_enable dirac) \
249     $(use_enable directfb) \
250     $(use_enable dc1394) \
251     $(use_enable debug) \
252     $(use_enable dts dca) \
253     $(use_enable dvb) \
254     $(use_enable dvd dvdread) $(use_enable dvd dvdnav) \
255     $(use_enable fbcon fb) \
256 aballier 1.10 $(use_enable ffmpeg avcodec) $(use_enable ffmpeg avformat) $(use_enable ffmpeg swscale) $(use_enable ffmpeg postproc) \
257 aballier 1.1 $(use_enable flac) \
258     $(use_enable fluidsynth) \
259     $(use_enable fontconfig) \
260     $(use_enable ggi) \
261     $(use_enable gnome gnomevfs) \
262     $(use_enable gnutls) \
263     $(use_enable httpd) \
264     $(use_enable id3tag) \
265 aballier 1.18 $(use_enable ieee1394 dv) \
266 aballier 1.1 $(use_enable jack) \
267     $(use_enable kate) \
268     $(use_enable libass) \
269     $(use_enable libcaca caca) \
270 pva 1.14 $(use_enable gcrypt libgcrypt) \
271 aballier 1.1 $(use_enable libnotify notify) \
272 aballier 1.13 $(use_enable libproxy) \
273 aballier 1.1 --disable-libtar \
274 aballier 1.17 $(use_enable libtiger tiger) \
275 aballier 1.1 $(use_enable libsysfs) \
276 aballier 1.48 $(use_enable libv4l) \
277 aballier 1.1 $(use_enable libv4l2) \
278     $(use_enable lirc) \
279     $(use_enable live live555) \
280     $(use_enable lua) \
281     $(use_enable matroska mkv) \
282     $(use_enable mmx) \
283     $(use_enable modplug mod) \
284     $(use_enable mp3 mad) \
285     $(use_enable mpeg libmpeg2) \
286     $(use_enable mtp) \
287     $(use_enable musepack mpc) \
288     $(use_enable ncurses) \
289     $(use_enable nsplugin mozilla) --with-mozilla-pkg="${MOZILLA_PC}" \
290     $(use_enable ogg) \
291 aballier 1.30 $(use_enable opengl glx) $(use_enable opengl) \
292 aballier 1.1 $(use_enable optimisememory optimize-memory) \
293     $(use_enable oss) \
294     $(use_enable png) \
295     --disable-portaudio \
296 aballier 1.21 $(use_enable projectm) \
297 aballier 1.1 $(use_enable pulseaudio pulse) \
298     $(use_enable pvr) \
299     $(use_enable qt4) \
300     $(use_enable rtsp realrtsp) \
301     $(use_enable run-as-root) \
302     $(use_enable samba smb) \
303     $(use_enable schroedinger) \
304     $(use_enable sdl) \
305     $(use_enable sdl-image) \
306     $(use_enable shine) \
307     $(use_enable shout) \
308     $(use_enable skins skins2) \
309     $(use_enable speex) \
310 aballier 1.50 $(use_enable sqlite) \
311 aballier 1.1 $(use_enable sse) \
312     $(use_enable stream sout) \
313     $(use_enable svg) \
314     $(use_enable svga svgalib) \
315     $(use_enable taglib) \
316     $(use_enable theora) \
317     $(use_enable truetype freetype) \
318     $(use_enable twolame) \
319 aballier 1.43 $(use_enable udev) \
320 aballier 1.1 $(use_enable upnp) \
321     $(use_enable v4l) \
322     $(use_enable v4l2) \
323     $(use_enable vcdx) \
324     $(use_enable vorbis) \
325     $(use_enable win32codecs loader) \
326     $(use_enable wma-fixed) \
327     $(use_enable x264) \
328 aballier 1.2 $(use_enable xcb) \
329 aballier 1.1 $(use_enable xml libxml2) \
330     $(use_enable xosd) \
331     $(use_enable xv xvideo) \
332 aballier 1.26 $(use_enable zvbi) $(use_enable !zvbi telx) \
333 aballier 1.1 --disable-snapshot \
334     --disable-growl \
335     --disable-optimizations \
336     --enable-fast-install \
337     $(vlc_use_enable_force vlm vlm sout) \
338     $(vlc_use_enable_force skins skins2 qt4) \
339 alexxy 1.15 $(vlc_use_enable_force remoteosd remoteosd libgcrypt)
340 aballier 1.1 }
341    
342     src_install() {
343     emake DESTDIR="${D}" install || die "make install failed"
344    
345 aballier 1.48 dodoc AUTHORS HACKING THANKS NEWS README \
346 aballier 1.1 doc/fortunes.txt doc/intf-cdda.txt doc/intf-vcd.txt
347    
348     rm -rf "${D}/usr/share/doc/vlc" \
349     "${D}"/usr/share/vlc/vlc{16x16,32x32,48x48,128x128}.{png,xpm,ico}
350    
351     if use nsplugin; then
352     dodir "/usr/$(get_libdir)/${PLUGINS_DIR}"
353     mv "${D}"/usr/$(get_libdir)/mozilla/plugins/* \
354     "${D}/usr/$(get_libdir)/${PLUGINS_DIR}/"
355     fi
356    
357     use skins || rm -rf "${D}/usr/share/vlc/skins2"
358    
359     for res in 16 32 48; do
360     insinto /usr/share/icons/hicolor/${res}x${res}/apps/
361     newins "${S}"/share/vlc${res}x${res}.png vlc.png
362     done
363     }

  ViewVC Help
Powered by ViewVC 1.1.20